package com.aucma.base.mapper;

import java.util.List;
import com.aucma.base.domain.SamplingPlan;

public interface SamplingPlanMapper {
    public SamplingPlan selectSamplingPlanByObjId(Long objId);

    public List<SamplingPlan> selectSamplingPlanList(SamplingPlan samplingPlan);

    public int insertSamplingPlan(SamplingPlan samplingPlan);

    public int updateSamplingPlan(SamplingPlan samplingPlan);

    public int deleteSamplingPlanByObjId(Long objId);

    public int deleteSamplingPlanByObjIds(Long[] objIds);
}
